# arm_rfft_instance_q15 Struct Reference

Instance structure for the Q15 RFFT/RIFFT function. More...

`#include <arm_math.h>`

## Data Fields

uint32_t | fftLenReal
uint32_t | fftLenBy2
uint8_t | ifftFlagR
uint8_t | bitReverseFlagR
uint32_t | twidCoefRModifier
q15_t * | pTwiddleAReal
q15_t * | pTwiddleBReal
arm_cfft_radix4_instance_q15 * | pCfft

## Detailed Description

Instance structure for the Q15 RFFT/RIFFT function.

Definition at line 2156 of file arm_math.h.

## Field Documentation

uint32_t arm_rfft_instance_q15::fftLenReal

length of the real FFT.

Definition at line 2158 of file arm_math.h.

uint32_t arm_rfft_instance_q15::fftLenBy2

length of the complex FFT.

Definition at line 2159 of file arm_math.h.

uint8_t arm_rfft_instance_q15::ifftFlagR

flag that selects forward (ifftFlagR=0) or inverse (ifftFlagR=1) transform.

Definition at line 2160 of file arm_math.h.

uint8_t arm_rfft_instance_q15::bitReverseFlagR

flag that enables (bitReverseFlagR=1) or disables (bitReverseFlagR=0) bit reversal of output.

Definition at line 2161 of file arm_math.h.

uint32_t arm_rfft_instance_q15::twidCoefRModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Definition at line 2162 of file arm_math.h.

q15_t* arm_rfft_instance_q15::pTwiddleAReal

points to the real twiddle factor table.

Definition at line 2163 of file arm_math.h.

q15_t* arm_rfft_instance_q15::pTwiddleBReal

points to the imag twiddle factor table.

Definition at line 2164 of file arm_math.h.

arm_cfft_radix4_instance_q15* arm_rfft_instance_q15::pCfft

points to the complex FFT instance.

Definition at line 2165 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines